﻿using Infragistics.Controls.Schedules;
using Infragistics.DragDrop;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Tree_DragDrop
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Appointment> appointments;
        public MainPage()
        {
            InitializeComponent();
           
            

            ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda" };
            resources.Add(resAmanda);

            ObservableCollection<ResourceCalendar> calendars =
                new ObservableCollection<ResourceCalendar>();
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };

            calendars.Add(calAmanda);

            appointments = new ObservableCollection<Appointment>();
            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(9).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app1);

            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "My second appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = DateTime.Today.AddHours(10).AddMinutes(12).ToUniversalTime(),
                End = DateTime.Today.AddHours(11).AddMinutes(42).ToUniversalTime()
            };
            appointments.Add(app2);

            this.dataConnector.ResourceItemsSource = resources;
            this.dataConnector.ResourceCalendarItemsSource = calendars;
            this.dataConnector.AppointmentItemsSource = appointments;
        }

        private void DragSource_Drop(object sender, DropEventArgs e)
        {
            DateTime dropDate = (DateTime)(e.DropTarget as Grid).Tag;
            MessageBox.Show(dropDate.ToShortDateString());
        }
    }

    public class Data
    {
        private DateTime timeSlot;

        public DateTime TimeSlot
        {
            get { return timeSlot; }
            set { timeSlot = value; }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        
    }

    public class DataItems : ObservableCollection<Data>
    {
        public DataItems()
        {
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 03) });
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 23) });
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 03) });
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 24) });
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 15) });
            Add(new Data { Name = "bla", TimeSlot = new DateTime(2013, 10, 05) });
               
        }
    }
}
